Cannot update Geth via Github - fatal: unable to auto-detect email address

I tried to update Geth's source code via git pull, but got the error above along with the following output message:

*** Please tell me who you are.

Why am I asked for an email address? I used to update and make geth via Github since Frontier release and was never asked before.
What email address should I provide, exactly? The same of my account on Github?
Sign In or Register to comment.